EC_NODE_EXPR(3)

NAME
ec_node_expr - Create an expression node.

SYNOPSIS
#include <ecoli/node_expr.h>

struct ec_node * ec_node_expr(
    const char   *id   /* The node identifier. */
);

RETURN VALUE

The node, or NULL on error (errno is set).

SEE ALSO

ec_node_expr_set_val_node(3), ec_node_expr_add_bin_op(3), ec_node_expr_add_pre_op(3), ec_node_expr_add_parenthesis(3), ec_node_expr_eval(3), ec_node_expr_add_post_op(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.